Программа: Interspire ActiveKB NX 2.x

Уязвимость позволяет удаленному пользователю выполнить XSS нападение на целевую систему. Уязвимость существует из-за недостаточной обработки входных данных в параметре «page» сценарием categories/[CAT]/index.php (где "[CAT]" — это имя существующей категории). Атакующий может выполнить произвольный сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://www.target.com/activekb/ActiveKB/?page=[XXS]
http://www.interspire.com/activekb/demo/default/categories/ActiveKB/?page= %3Cscript%3Ealert(document.cookie);%3C/script%3E  



Оставить мнение